"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Result = exports.RunResultType = void 0;
// Strict typing of run results
var RunResultType;
(function (RunResultType) {
    RunResultType["SUCCESS"] = "SUCCESS";
    RunResultType["FAILURE"] = "FAILURE";
})(RunResultType = exports.RunResultType || (exports.RunResultType = {}));
class Result {
    static Success(warnings) {
        return {
            type: RunResultType.SUCCESS,
            warnings: warnings || []
        };
    }
    static Failure(errors, warnings) {
        return {
            type: RunResultType.FAILURE,
            warnings: warnings || [],
            errors,
        };
    }
}
exports.Result = Result;
//# sourceMappingURL=runResult.js.map